curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/operator-queues' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"queues": [
{
"active": true,
"auto_dispatch_delay_seconds": 600,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 3,
"auto_dispatch_retry_delay_seconds": 900,
"created_at": "2024-01-15T10:30:00Z",
"default_assignee": "tier2@stateset.com",
"description": "Queue for human escalations that require follow-up",
"dispatch_schedule": null,
"dispatch_timezone": "America/New_York",
"dispatch_window_end_hour_utc": 22,
"dispatch_window_start_hour_utc": 14,
"follow_up_escalation_assignee": "supervisor@stateset.com",
"follow_up_escalation_priority": 2,
"follow_up_escalation_queue_key": "priority-escalations",
"follow_up_escalation_seconds": 1800,
"id": "550e8400-e29b-41d4-a716-446655440010",
"is_default": true,
"metadata": null,
"name": "Escalations",
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
]
}
List Operator Queues
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
GET
/
api
/
v1
/
operator-queues
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/operator-queues' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"queues": [
{
"active": true,
"auto_dispatch_delay_seconds": 600,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 3,
"auto_dispatch_retry_delay_seconds": 900,
"created_at": "2024-01-15T10:30:00Z",
"default_assignee": "tier2@stateset.com",
"description": "Queue for human escalations that require follow-up",
"dispatch_schedule": null,
"dispatch_timezone": "America/New_York",
"dispatch_window_end_hour_utc": 22,
"dispatch_window_start_hour_utc": 14,
"follow_up_escalation_assignee": "supervisor@stateset.com",
"follow_up_escalation_priority": 2,
"follow_up_escalation_queue_key": "priority-escalations",
"follow_up_escalation_seconds": 1800,
"id": "550e8400-e29b-41d4-a716-446655440010",
"is_default": true,
"metadata": null,
"name": "Escalations",
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
]
}
Tenant or admin workflow endpoint for operator queues, callback tasks, supervisor actions, and follow-up processing.
Response
object
boolean
required
string
required
Tenant id the listing is scoped to
integer
required
Number of queues in this response
OperatorQueue[]
required
Show OperatorQueue
Show OperatorQueue
boolean
required
integer,null (int32)
boolean
required
integer (int32)
required
integer,null (int32)
string
required
string,null
string,null
any
required
string,null
integer,null (int32)
integer,null (int32)
string,null
integer,null (int32)
string,null
integer,null (int32)
string
required
boolean
required
any
required
string
required
integer (int32)
required
string
required
integer,null (int32)
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | List operator queues |
401 | Unauthorized |
500 | Internal server error |
503 | Database not configured |
curl --request GET \
--url 'https://api.voice.stateset.com/api/v1/operator-queues' \
--header "Authorization: Bearer $STATESET_VOICE_API_KEY"
{
"ok": true,
"tenant": "acme-outdoors",
"count": 2,
"queues": [
{
"active": true,
"auto_dispatch_delay_seconds": 600,
"auto_dispatch_enabled": true,
"auto_dispatch_max_attempts": 3,
"auto_dispatch_retry_delay_seconds": 900,
"created_at": "2024-01-15T10:30:00Z",
"default_assignee": "tier2@stateset.com",
"description": "Queue for human escalations that require follow-up",
"dispatch_schedule": null,
"dispatch_timezone": "America/New_York",
"dispatch_window_end_hour_utc": 22,
"dispatch_window_start_hour_utc": 14,
"follow_up_escalation_assignee": "supervisor@stateset.com",
"follow_up_escalation_priority": 2,
"follow_up_escalation_queue_key": "priority-escalations",
"follow_up_escalation_seconds": 1800,
"id": "550e8400-e29b-41d4-a716-446655440010",
"is_default": true,
"metadata": null,
"name": "Escalations",
"priority": 10,
"queue_key": "escalations",
"sla_seconds": 900,
"tenant_id": "tenant-123",
"updated_at": "2024-01-15T10:32:22Z"
}
]
}
Last modified on August 31, 2026